<template>
  <div class="footer" :class="{stop: !status,gray: color==='gray'}" @click="onClick" >
    {{footer}}
  </div>
</template>

<script type="text/ecmascript-6">
  export default {
    data(){
      return {
      }
    },
    props:{
      color:{
        default(){
          /*
          yellow 为黄底
          red 为红底
          */
          return 'yellow';
        }
      },
      status:{
        default(){
          return true;
        }
      },
      footer:{
        default(){
          return '底部栏';
        }
      }
    },
    methods:{
      onClick(){
        if(this.status){
          this.$emit("footerEmit");
        }
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style  lang="scss"  type="text/scss" scoped >
  .footer{
    background-color: #919191;
    font-size: 0.24rem;
    color: #fff;
    text-align: center;
    height: 0.6rem;
    line-height: 0.6rem;
    margin: 0 0.7rem;
    border-radius: 0rem;
    width: 6.1rem;
  }
  .stop{
    background-color: #b3b2b4;
  }
  .gray{
    background-color: #b3b2b4;
  }
</style>
